package com.zanxiang.game.back.serve.rpc.impl;

import com.zanxiang.game.back.base.pojo.dto.*;
import com.zanxiang.game.back.base.pojo.enums.OrderStatusEnum;
import com.zanxiang.game.back.base.rpc.ITencentAppBackRpc;
import com.zanxiang.module.util.JsonUtil;
import com.zanxiang.module.util.pojo.ResultVO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;

import java.util.Objects;

@Slf4j
@DubboService
public class TencentAppBackRpcImpl implements ITencentAppBackRpc {

    @Override
    public ResultVO<Boolean> backOrder(TencentOrderAppRpcDTO dto) {
        if (Objects.equals(OrderStatusEnum.SUCCESS_PAY.getValue(), dto.getOrderStatus())) {
            log.error("腾讯 APP订单回传收到：{}。", JsonUtil.toString(dto));
        } else {
            log.error("腾讯H5订单回传收到：{}。订单未支付，直接过滤", JsonUtil.toString(dto));
            return ResultVO.ok(true);
        }
        return ResultVO.ok(Boolean.TRUE);
    }

    @Override
    public ResultVO<Boolean> backUser(TencentUserAppRpcDTO dto) {
        log.error("腾讯 APP用户回传收到：{}", JsonUtil.toString(dto));
        return ResultVO.ok(Boolean.TRUE);
    }

    @Override
    public ResultVO<Boolean> backRoleRegister(TencentRoleRegisterAppRpcDTO dto) {
        log.error("腾讯 APP创角回传收到：{}", JsonUtil.toString(dto));
        return ResultVO.ok(Boolean.TRUE);
    }
}
